## com.google.gwt.user.client
Class BaseListenerWrapper<T>

    java.lang.Object
      com.google.gwt.user.client.BaseListenerWrapper<T>

Type Parameters:
  `T` - listener type to be wrapped

All Implemented Interfaces:
  EventHandler

Direct Known Subclasses:
  ListenerWrapper

Deprecated. will be removed in GWT 2.0 with the handler listeners themselves

    @Deprecated
    public abstract class BaseListenerWrapper<T>

extends java.lang.Object
implements EventHandler

Legacy listener support hierarchy root. Note, this class and its subtypes all assume that the handlers are stored in handler managers. This class, and its children are used to gather the bulk of the legacy glue code in one place, for easy deletion when Listener methods are deleted.

Constructor Summary
`protected` | `BaseListenerWrapper(T listener)` Deprecated. Creates a new listener wrapper.

Method Summary

`protected static

`<H extends EventHandler> void`

`

`baseRemove(HandlerManager manager, java.lang.Object listener, GwtEvent.Type... types)`
Deprecated. Helper method to remove all wrapped listeners from the given event types.

`protected T` | `getListener()` Deprecated. Gets the listener being wrapped.
`protected Widget` | `getSource(GwtEvent<?> event)` Deprecated. Gets the widget source to pass to the listeners.
`void` | `setSource(Widget source)` Deprecated. Sets the widget source to pass to the listeners.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseListenerWrapper

    protected BaseListenerWrapper(T listener)

  Deprecated.
  Creates a new listener wrapper.

  Parameters:
    `listener` - the listener to wrap

Method Detail

### baseRemove

    protected static <H extends EventHandler> void baseRemove(HandlerManager manager,
                                                              java.lang.Object listener,
                                                              GwtEvent.Type... types)

  Deprecated.
  Helper method to remove all wrapped listeners from the given event types.

  Type Parameters:
    `H` -
  Parameters:
    `manager` - the manager to remove the listener from
    `listener` - the listener
    `types` - the event types to remove the listener from

### setSource

    public void setSource(Widget source)

  Deprecated.
  Sets the widget source to pass to the listeners. Source defaults to event.getSource() if this method is not used.

  Parameters:
    `source` - the source to provide as the listener's source

### getListener

    protected T getListener()

  Deprecated.
  Gets the listener being wrapped.

  Returns:
    the wrapped listener

### getSource

    protected Widget getSource(GwtEvent<?> event)

  Deprecated.
  Gets the widget source to pass to the listeners. Source defaults to event.getSource() if not specified by `setSource(Widget)`.

  Parameters:
    `event` - the event
  Returns:
    source the source to provide as the listener's source